package com.jkcredit.invoice.mapper.customer;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.jkcredit.invoice.model.entity.customer.Customer;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

import java.util.List;
@Repository
public interface CustomerMapper extends BaseMapper<Customer> {
    int deleteByPrimaryKey(Integer id);

    int insert(Customer record);

    int insertSelective(Customer record);

    Customer selectByPrimaryKey(Integer id);

    Customer selectByCustomerName(String  customerName);

    int updateByPrimaryKeySelective(Customer record);

    int updateByPrimaryKey(Customer record);

    IPage<List<Customer>> selectAllByPage(Page page, @Param("customer") Customer customer);
}